<?php
/* ************************************************************************** *
 *																										*
 * Core - config.php v3.1 by Slodave, DC, 2007, http://www.zabec.net				*
 * -------- -------- -------- -------- -------- -------- -------- --------		*
 * 																									*
 * Datoteka skrbi za prijavo, odjavo in stanje prijave uporabnika CMSja			*
 * ************************************************************************** */

/* UPORABNIK JE V PROCESU PRIJAVLJANJA	(poslana forma)								*/
/* ************************************************************************** */
	if ($_POST['uporabnik'] AND $_POST['geslo']) {
		//preverimo spremenljivke
		$clean['uporabnik'] = inputSQLcheck($_POST['uporabnik']);
		$clean['geslo'] = md5($_POST['geslo']);

		$result = $db->query("SELECT id, username, skupina FROM core_uporabniki WHERE username = '$clean[uporabnik]' AND password = '$clean[geslo]'");

		//uporabnik je vnesel pravilno uporabniško ime in geslo
		if($result->size() == "1") {
			$r = $result->fetch();

			//nastavimo sessione
			$_SESSION['prijavljen'] = true;
			$_SESSION['id'] = $r['id'];
			$_SESSION['uporabnik'] = $r['username'];
			$_SESSION['skupina'] = $r['skupina'];

			//popravimo last login date
			$db->query("UPDATE core_uporabniki SET last_login = NOW(),last_ip='".$_SERVER['REMOTE_ADDR']."',last_sessionid='".session_id()."' WHERE id = '$r[id]'");

			//preusmeritev na prvo stran
			header("Location: ".$settings['cms_url']);
		}
		/* uporabniško ime ali geslo ni pravilno */
		else {
			//obvestimo uporabnika o napačnem poskusu prijave
			$tpl->assign("error", "Napačno uporabniško ime ali geslo!");
		}
	}
/* ************************************************************************** */

/* UPORABNIK JE V PROCESU ODJAVLJANJA														*/
/* ************************************************************************** */
	if($_GET['odjava']) {
		//zberemo vse sessione, ter jih odstranimo
		$_SESSION = array();
		session_destroy();
		header("Location: ".$settings['cms_url']);
	}
/* ************************************************************************** */

/* UPORABNIK JE PRIJAVLJEN, PREVERIMO VELJAVNOST SEJE									*/
/* ************************************************************************** */

if($_SESSION['prijavljen']) {
	$result = $db->query("SELECT id, last_ip, last_sessionid FROM core_uporabniki WHERE id = '".$_SESSION['id']."'");
	$r = $result->fetch();
	//preveri splošno prijavo (če ni kaj narobe)
	if(($r['id'] != $_SESSION['id']) OR ($r['last_ip'] != $_SERVER['REMOTE_ADDR']) OR ($r['last_sessionid'] != session_id())) {
		//nekaj je narobe, odjavimo uporabnika ter izpišemo napako
		$_SESSION = array();
		session_destroy();
		$tpl->assign("error", "Potekla seja, opravite ponovno prijavo!");
	}
}
/* ************************************************************************** */
?>